Loading...
Searching...
No Matches
BALL::HashSet< Key >::IteratorTraits Class Reference

`#include <BALL/DATATYPE/hashSet.h>`

## Public Member Functions

| IteratorTraits ()
| IteratorTraits (const HashSet &hash_set)
| IteratorTraits (const IteratorTraits &traits)
IteratorTraits & | operator= (const IteratorTraits &traits)
HashSet * | getContainer ()
const HashSet * | getContainer () const
bool | isSingular () const
IteratorPosition & | getPosition ()
const IteratorPosition & | getPosition () const
bool | operator== (const IteratorTraits &traits) const
bool | operator!= (const IteratorTraits &traits) const
bool | isValid () const
void | invalidate ()
void | toBegin ()
bool | isBegin () const
void | toEnd ()
bool | isEnd () const
ValueType & | getData ()
const ValueType & | getData () const
void | forward ()

## Protected Attributes

HashSet * | bound_
IteratorPosition | position_
Position | bucket_

## Friends

class | HashSet< Key >

## Detailed Description

template<class Key>
class BALL::HashSet< Key >::IteratorTraits

Definition at line 76 of file hashSet.h.

## Constructor & Destructor Documentation

## IteratorTraits() [1/3]

template<class Key>

BALL::HashSet< Key >::IteratorTraits::IteratorTraits | ( |  | ) |

inline

Definition at line 82 of file hashSet.h.

## IteratorTraits() [2/3]

template<class Key>

BALL::HashSet< Key >::IteratorTraits::IteratorTraits | ( | const HashSet & | hash_set | ) |

inline

Definition at line 89 of file hashSet.h.

## IteratorTraits() [3/3]

template<class Key>

BALL::HashSet< Key >::IteratorTraits::IteratorTraits | ( | const IteratorTraits & | traits | ) |

inline

Definition at line 96 of file hashSet.h.

## Member Function Documentation

## forward()

template<class Key>

void BALL::HashSet< Key >::IteratorTraits::forward | ( |  | ) |

inline

Definition at line 213 of file hashSet.h.

## getContainer() [1/2]

template<class Key>

HashSet * BALL::HashSet< Key >::IteratorTraits::getContainer | ( |  | ) |

inline

Definition at line 112 of file hashSet.h.

## getContainer() [2/2]

template<class Key>

const HashSet * BALL::HashSet< Key >::IteratorTraits::getContainer | ( |  | ) | const

inline

Definition at line 117 of file hashSet.h.

## getData() [1/2]

template<class Key>

ValueType & BALL::HashSet< Key >::IteratorTraits::getData | ( |  | ) |

inline

Definition at line 203 of file hashSet.h.

## getData() [2/2]

template<class Key>

const ValueType & BALL::HashSet< Key >::IteratorTraits::getData | ( |  | ) | const

inline

Definition at line 208 of file hashSet.h.

## getPosition() [1/2]

template<class Key>

IteratorPosition & BALL::HashSet< Key >::IteratorTraits::getPosition | ( |  | ) |

inline

Definition at line 127 of file hashSet.h.

## getPosition() [2/2]

template<class Key>

const IteratorPosition & BALL::HashSet< Key >::IteratorTraits::getPosition | ( |  | ) | const

inline

Definition at line 132 of file hashSet.h.

## invalidate()

template<class Key>

void BALL::HashSet< Key >::IteratorTraits::invalidate | ( |  | ) |

inline

Definition at line 153 of file hashSet.h.

## isBegin()

template<class Key>

bool BALL::HashSet< Key >::IteratorTraits::isBegin | ( |  | ) | const

inline

Definition at line 173 of file hashSet.h.

## isEnd()

template<class Key>

bool BALL::HashSet< Key >::IteratorTraits::isEnd | ( |  | ) | const

inline

Definition at line 198 of file hashSet.h.

## isSingular()

template<class Key>

bool BALL::HashSet< Key >::IteratorTraits::isSingular | ( |  | ) | const

inline

Definition at line 122 of file hashSet.h.

## isValid()

template<class Key>

bool BALL::HashSet< Key >::IteratorTraits::isValid | ( |  | ) | const

inline

Definition at line 147 of file hashSet.h.

## operator!=()

template<class Key>

bool BALL::HashSet< Key >::IteratorTraits::operator!= | ( | const IteratorTraits & | traits | ) | const

inline

Definition at line 142 of file hashSet.h.

## operator=()

template<class Key>

IteratorTraits & BALL::HashSet< Key >::IteratorTraits::operator= | ( | const IteratorTraits & | traits | ) |

inline

Definition at line 103 of file hashSet.h.

## operator==()

template<class Key>

bool BALL::HashSet< Key >::IteratorTraits::operator== | ( | const IteratorTraits & | traits | ) | const

inline

Definition at line 137 of file hashSet.h.

## toBegin()

template<class Key>

void BALL::HashSet< Key >::IteratorTraits::toBegin | ( |  | ) |

inline

Definition at line 160 of file hashSet.h.

## toEnd()

template<class Key>

void BALL::HashSet< Key >::IteratorTraits::toEnd | ( |  | ) |

inline

Definition at line 193 of file hashSet.h.

## Friends And Related Symbol Documentation

## HashSet< Key >

template<class Key>

friend class HashSet< Key >

friend

Definition at line 67 of file hashSet.h.

## Member Data Documentation

## bound_

template<class Key>

HashSet* BALL::HashSet< Key >::IteratorTraits::bound_

protected

Definition at line 235 of file hashSet.h.

## bucket_

template<class Key>

Position BALL::HashSet< Key >::IteratorTraits::bucket_

protected

Definition at line 237 of file hashSet.h.

## position_

template<class Key>

IteratorPosition BALL::HashSet< Key >::IteratorTraits::position_

protected

Definition at line 236 of file hashSet.h.